Modal
Bootstrap 5 Modal component
Responsive modal built with the latest Bootstrap 5. Modal is a responsive popup used to display extra content. That includes prompts, configurations, cookie consents, etc.
Use MDB modal plugin to add dialogs to your site for lightboxes, user notifications, or completely custom content.
Note: Read the API tab to find all available options and advanced customization
Basic example
Click the button to launch the modal.
<!-- Button trigger modal -->
<button
type="button"
class="btn btn-primary"
data-mdb-toggle="modal"
data-mdb-target="#exampleModal"
>
Launch demo modal
</button>
<!-- Modal -->
<div
class="modal fade"
id="exampleModal"
tabindex="-1"
aria-labelledby="exampleModalLabel"
aria-hidden="true"
>
<div class="modal-dialog">
<div class="modal-content">
<div class="modal-header">
<h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
<button
type="button"
class="btn-close"
data-mdb-dismiss="modal"
aria-label="Close"
></button>
</div>
<div class="modal-body">...</div>
<div class="modal-footer">
<button type="button" class="btn btn-secondary" data-mdb-dismiss="modal">
Close
</button>
<button type="button" class="btn btn-primary">Save changes</button>
</div>
</div>
</div>
</div>
Advanced examples
Click the buttons to launch the modals.
Frame modal
Position
Side modal
Position
Central modal
Size
How it works
Before getting started with MDB modal component, be sure to read the following as our menu options have recently changed.
-
Modals are built with HTML, CSS, and JavaScript. They’re positioned over everything else in
the document and remove scroll from the
<body>
so that modal content scrolls instead. - Clicking on the modal “backdrop” will automatically close the modal.
- Bootstrap only supports one modal window at a time. Nested modals aren’t supported as we believe them to be poor user experiences.
-
Modals use
position: fixed
, which can sometimes be a bit particular about its rendering. Whenever possible, place your modal HTML in a top-level position to avoid potential interference from other elements. You’ll likely run into issues when nesting a.modal
within another fixed element. -
Once again, due to
position: fixed
, there are some caveats with using modals on mobile devices. -
Due to how HTML5 defines its semantics,
the
autofocus
HTML attribute has no effect in Bootstrap modals. To achieve the same effect, use some custom JavaScript:
const myModal = document.getElementById('myModal')
const myInput = document.getElementById('myInput')
myModal.addEventListener('shown.mdb.modal', () => {
myInput.focus()
})
Modal components
Below is a static modal example (meaning its position
and
display
have been overridden). Included are the modal header, modal body
(required for padding
), and modal footer (optional). We ask that you include
modal headers with dismiss actions whenever possible, or provide another explicit dismiss
action.
<div class="modal" tabindex="-1">
<div class="modal-dialog">
<div class="modal-content">
<div class="modal-header">
<h5 class="modal-title">Modal title</h5>
<button
type="button"
class="btn-close"
data-mdb-dismiss="modal"
aria-label="Close"
></button>
</div>
<div class="modal-body">
<p>Modal body text goes here.</p>
</div>
<div class="modal-footer">
<button type="button" class="btn btn-secondary" data-mdb-dismiss="modal">
Close
</button>
<button type="button" class="btn btn-primary">Save changes</button>
</div>
</div>
</div>
</div>
Position
To change the position of the modal add one of the following classes to the
.modal-dialog
Top right: .modal-side
+
.modal-top-right
Top left: .modal-side
+
.modal-top-left
Bottom right: .modal-side
+
.modal-bottom-right
Bottom left: .modal-side
+
.modal-bottom-right
Note: If you want to change the direction of modal animation, add the class
.top
, .right
, bottom
or .left
to the
.modal
div.
Frame
To make the modal "frame-like" add .modal-frame
class to the
.modal-dialog
element. You also need to specify the direction by adding
.modal-bottom
or .modal-top
to the ..modal-dialog
.
Static backdrop
When backdrop is set to static, the modal will not close when clicking outside it. Click the button below to try it.
<!-- Button trigger modal -->
<button
type="button"
class="btn btn-primary"
data-mdb-toggle="modal"
data-mdb-target="#staticBackdrop"
>
Launch static backdrop modal
</button>
<!-- Modal -->
<div
class="modal fade"
id="staticBackdrop"
data-mdb-backdrop="static"
data-mdb-keyboard="false"
tabindex="-1"
aria-labelledby="staticBackdropLabel"
aria-hidden="true"
>
<div class="modal-dialog">
<div class="modal-content">
<div class="modal-header">
<h5 class="modal-title" id="staticBackdropLabel">Modal title</h5>
<button
type="button"
class="btn-close"
data-mdb-dismiss="modal"
aria-label="Close"
></button>
</div>
<div class="modal-body">...</div>
<div class="modal-footer">
<button type="button" class="btn btn-secondary" data-mdb-dismiss="modal">
Close
</button>
<button type="button" class="btn btn-primary">Understood</button>
</div>
</div>
</div>
</div>
Scrolling long content
When modals become too long for the user’s viewport or device, they scroll independent of the page itself. Try the demo below to see what we mean.
You can also create a scrollable modal that allows scroll the modal body by adding
.modal-dialog-scrollable
to .modal-dialog
.
<!-- Scrollable modal -->
<div class="modal-dialog modal-dialog-scrollable">...</div>
Vertically centered
Add .modal-dialog-centered
to .modal-dialog
to vertically center the
modal.
<!-- Vertically centered modal -->
<div class="modal-dialog modal-dialog-centered">...</div>
<!-- Vertically centered scrollable modal -->
<div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">...</div>
Tooltips and popovers
Tooltips and popovers can be placed within modals as needed. When modals are closed, any tooltips and popovers within are also automatically dismissed.
<div class="modal-body">
<h5>Popover in a modal</h5>
<p>
This
<a
href="#!"
role="button"
class="btn btn-secondary popover-test"
data-mdb-toggle="popover"
title="Popover title"
data-mdb-content="Popover body content is set in this attribute."
>button</a
>
triggers a popover on click.
</p>
<hr />
<h5>Tooltips in a modal</h5>
<p>
<a href="#!" class="tooltip-test" data-mdb-toggle="tooltip" title="Tooltip"
>This link</a
>
and
<a href="#!" class="tooltip-test" data-mdb-toggle="tooltip" title="Tooltip"
>that link</a
>
have tooltips on hover.
</p>
</div>
Using the grid
Utilize the Bootstrap grid system within a modal by nesting
.container-fluid
within the .modal-body
. Then, use the normal grid
system classes as you would anywhere else.
<div class="modal-body">
<div class="container-fluid">
<div class="row">
<div class="col-md-4">.col-md-4</div>
<div class="col-md-4 ms-auto">.col-md-4 .ms-auto</div>
</div>
<div class="row">
<div class="col-md-3 ms-auto">.col-md-3 .ms-auto</div>
<div class="col-md-2 ms-auto">.col-md-2 .ms-auto</div>
</div>
<div class="row">
<div class="col-md-6 ms-auto">.col-md-6 .ms-auto</div>
</div>
<div class="row">
<div class="col-sm-9">
Level 1: .col-sm-9
<div class="row">
<div class="col-8 col-sm-6">Level 2: .col-8 .col-sm-6</div>
<div class="col-4 col-sm-6">Level 2: .col-4 .col-sm-6</div>
</div>
</div>
</div>
</div>
</div>
Varying modal content
Have a bunch of buttons that all trigger the same modal with slightly different contents? Use
event.relatedTarget
and
HTML data-mdb-*
attributes
to vary the contents of the modal depending on which button was clicked.
Below is a live demo followed by example HTML and JavaScript. For more information, read the
modal API/events doc for details on relatedTarget
.
<button
type="button"
class="btn btn-primary"
data-mdb-toggle="modal"
data-mdb-target="#exampleModal"
data-mdb-whatever="@mdo"
>
Open modal for @mdo
</button>
<button
type="button"
class="btn btn-primary"
data-mdb-toggle="modal"
data-mdb-target="#exampleModal"
data-mdb-whatever="@fat"
>
Open modal for @fat
</button>
<button
type="button"
class="btn btn-primary"
data-mdb-toggle="modal"
data-mdb-target="#exampleModal"
data-mdb-whatever="@getbootstrap"
>
Open modal for @getbootstrap
</button>
<div
class="modal fade"
id="exampleModal"
tabindex="-1"
aria-labelledby="exampleModalLabel"
aria-hidden="true"
>
<div class="modal-dialog">
<div class="modal-content">
<div class="modal-header">
<h5 class="modal-title" id="exampleModalLabel">New message</h5>
<button
type="button"
class="btn-close"
data-mdb-dismiss="modal"
aria-label="Close"
></button>
</div>
<div class="modal-body">
<form>
<div class="mb-3">
<label for="recipient-name" class="col-form-label">Recipient:</label>
<input type="text" class="form-control" id="recipient-name" />
</div>
<div class="mb-3">
<label for="message-text" class="col-form-label">Message:</label>
<textarea class="form-control" id="message-text"></textarea>
</div>
</form>
</div>
<div class="modal-footer">
<button type="button" class="btn btn-secondary" data-mdb-dismiss="modal">
Close
</button>
<button type="button" class="btn btn-primary">Send message</button>
</div>
</div>
</div>
</div>
const exampleModal = document.getElementById('exampleModal')
exampleModal.addEventListener('show.mdb.modal', (event) => {
// Button that triggered the modal
const button = event.relatedTarget
// Extract info from data-mdb-* attributes
const recipient = button.getAttribute('data-mdb-whatever')
// If necessary, you could initiate an AJAX request here
// and then do the updating in a callback.
//
// Update the modal's content.
const modalTitle = exampleModal.querySelector('.modal-title')
const modalBodyInput = exampleModal.querySelector('.modal-body input')
modalTitle.textContent = `New message to ${recipient}`
modalBodyInput.value = recipient
})
Toggle between modals
Toggle between multiple modals with some clever placement of the
data-mdb-target
and data-mdb-toggle
attributes. For example, you
could toggle a password reset modal from within an already open sign in modal.
Please note multiple modals cannot be open at the same time—this method
simply toggles between two separate modals.
Below is a live demo followed by example HTML and JavaScript. For more information, read the
modal API/events doc for details on relatedTarget
.
<a
class="btn btn-primary"
data-mdb-toggle="modal"
href="#exampleModalToggle1"
role="button"
>Open first modal</a
>
<!-- First modal dialog -->
<div
class="modal fade"
id="exampleModalToggle1"
aria-hidden="true"
aria-labelledby="exampleModalToggleLabel1"
tabindex="-1"
>
<div class="modal-dialog modal-dialog-centered">
<div class="modal-content">
<div class="modal-header">
<h5 class="modal-title" id="exampleModalToggleLabel1">Modal 1</h5>
<button
type="button"
class="btn-close"
data-mdb-dismiss="modal"
aria-label="Close"
></button>
</div>
<div class="modal-body">
Show a second modal and hide this one with the button below.
</div>
<div class="modal-footer">
<button
class="btn btn-primary"
data-mdb-target="#exampleModalToggle22"
data-mdb-toggle="modal"
data-mdb-dismiss="modal"
>
Open second modal
</button>
</div>
</div>
</div>
</div>
<!-- Second modal dialog -->
<div
class="modal fade"
id="exampleModalToggle22"
aria-hidden="true"
aria-labelledby="exampleModalToggleLabel22"
tabindex="-1"
>
<div class="modal-dialog modal-dialog-centered">
<div class="modal-content">
<div class="modal-header">
<h5 class="modal-title" id="exampleModalToggleLabel22">Modal 2</h5>
<button
type="button"
class="btn-close"
data-mdb-dismiss="modal"
aria-label="Close"
></button>
</div>
<div class="modal-body">
Hide this modal and show the first with the button below.
</div>
<div class="modal-footer">
<button
class="btn btn-primary"
data-mdb-target="#exampleModalToggle1"
data-mdb-toggle="modal"
data-mdb-dismiss="modal"
>
Back to first
</button>
</div>
</div>
</div>
</div>
Change animation
The $modal-fade-transform
variable determines the transform state of
.modal-dialog
before the modal fade-in animation, the
$modal-show-transform
variable determines the transform of
.modal-dialog
at the end of the modal fade-in animation.
If you want for example a zoom-in animation, you can set
$modal-fade-transform: scale(.8)
.
Remove animation
For modals that simply appear rather than fade in to view, remove the
.fade
class from your modal markup.
<div class="modal" tabindex="-1" aria-labelledby="..." aria-hidden="true">...</div>
Dynamic heights
If the height of a modal changes while it is open, you should call
myModal.handleUpdate()
to readjust the modal’s position in case a scrollbar
appears.
Accessibility
Be sure to add aria-labelledby="..."
, referencing the modal title, to
.modal
. Additionally, you may give a description of your modal dialog with
aria-describedby
on .modal
. Note that you don’t need to add
role="dialog"
since we already add it via JavaScript.
Embedding YouTube videos
Embedding YouTube videos in modals requires additional JavaScript not in Bootstrap to automatically stop playback and more. See this helpful Stack Overflow post for more information.
Optional sizes
Modals have three optional sizes, available via modifier classes to be placed on a
.modal-dialog
. These sizes kick in at certain breakpoints to avoid horizontal
scrollbars on narrower viewports.
Size | Class | Modal max-width |
---|---|---|
Small | .modal-sm |
300px |
Default | None | 500px |
Large | .modal-lg |
800px |
Extra large | .modal-xl |
1140px |
<div class="modal-dialog modal-xl">...</div>
<div class="modal-dialog modal-lg">...</div>
<div class="modal-dialog modal-sm">...</div>
Fullscreen Modal
Another override is the option to pop up a modal that covers the user viewport, available via
modifier classes that are placed on a .modal-dialog
.
Class | Availability |
---|---|
.modal-fullscreen |
Always |
.modal-fullscreen-sm-down |
Below 576px |
.modal-fullscreen-md-down |
Below 768px |
.modal-fullscreen-lg-down |
Below 992px |
.modal-fullscreen-xl-down |
Below 1200px |
.modal-fullscreen-xxl-down |
Below 1400px |
<!-- Full screen modal -->
<div class="modal-dialog modal-fullscreen-sm-down">...</div>
If you want to support our friends from Tailwind Elements you can also check out the Tailwind modal documentation.
Modal - API
Usage
The modal plugin toggles your hidden content on demand, via data attributes or JavaScript. It
also adds .modal-open
to the <body>
to override default
scrolling behavior and generates a .modal-backdrop
to provide a click area for
dismissing shown modals when clicking outside the modal.
Via data attributes
Activate a modal without writing JavaScript. Set
data-mdb-toggle="modal"
on a controller element, like a button, along with a
data-mdb-target="#foo"
or href="#foo"
to target a specific modal to
toggle.
<button type="button" data-mdb-toggle="modal" data-mdb-target="#myModal">
Launch modal
</button>
Via JavaScript
Create a modal with a single line of JavaScript:
const myModal = new mdb.Modal(document.getElementById('myModal'), options)
Options
Options can be passed via data attributes or JavaScript. For data attributes, append the
option name to data-mdb-
, as in data-mdb-backdrop=""
.
Name | Type | Default | Description |
---|---|---|---|
backdrop |
boolean or the string 'static' |
true |
Includes a modal-backdrop element. Alternatively, specify
static for a backdrop which doesn't close the modal on click.
|
keyboard |
boolean | true |
Closes the modal when escape key is pressed |
focus |
boolean | true |
Puts the focus on the modal when initialized. |
Methods
Asynchronous methods and transitions:
All API methods are asynchronous and start a transition.
They return to the caller as soon as the transition is started but
before it ends. In addition, a method call on a
transitioning component will be ignored.
Passing options
Activates your content as a modal. Accepts an optional options
object
.
Method | Description |
---|---|
dispose |
Destroys an element’s modal. |
getInstance |
Static method which allows you to get the modal instance associated with a DOM element |
handleUpdate |
Manually readjust the modal’s position if the height of a modal changes while it is open (i.e. in case a scrollbar appears). |
hide |
Manually hides a modal.
Returns to the caller before the modal has actually been hidden
(i.e. before the hidden.mdb.modal event occurs).
|
show |
Manually opens a modal.
Returns to the caller before the modal has actually been shown
(i.e. before the shown.mdb.modal event occurs).
|
toggle |
Manually toggles a modal.
Returns to the caller before the modal has actually been shown or hidden
(i.e. before the shown.mdb.modal or hidden.mdb.modal event
occurs).
|
const myModalEl = document.getElementById('myModal')
const modal = new mdb.Modal(myModalEl)
modal.show()
Events
Bootstrap’s modal class exposes a few events for hooking into modal functionality. All modal
events are fired at the modal itself (i.e. at the
<div class="modal">
).
Event type | Description |
---|---|
show.mdb.modal |
This event fires immediately when the show instance method is called. If
caused by a click, the clicked element is available as the
relatedTarget property of the event.
|
shown.mdb.modal |
This event is fired when the modal has been made visible to the user (will wait for CSS
transitions to complete). If caused by a click, the clicked element is available as the
relatedTarget property of the event.
|
hide.mdb.modal |
This event is fired immediately when the hide instance method has been
called.
|
hidden.mdb.modal |
This event is fired when the modal has finished being hidden from the user (will wait for CSS transitions to complete). |
hidePrevented.mdb.modal |
This event is fired when the modal is shown, its backdrop is
static and a click outside the modal or an escape key press is performed
with the keyboard option or data-mdb-keyboard set to false .
|
const myModalEl = document.getElementById('myModal')
myModalEl.addEventListener('hidden.mdb.modal', (event) => {
// do something...
})
Import
MDB UI KIT also works with module bundlers. Use the following code to import this component:
import { Modal } from 'mdb-ui-kit';

Vue Modal examples & templates

Vue Bootstrap Modal examples & templates

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Multiple examples and advanced usage. Modal Cookies, Coupon, Discount, Abandoned Card, Related Content, Poll, Cart, Youtube, Product and many more.

Kick start your project with any of our examples! Here we present you with a curated list of the most common Modal use cases. Feel free to fiddle & mix!

See also: Modal Core Documentation, Modal Forms and Modal Styles.

Click buttons below to launch modals demo


Modal Cookies

Cookie consent is a simple, not-invasive popup which displays information about cookies and privacy policy.

        
            
    <template>
      <mdb-container>
        <!-- trigger modal button -->
        <mdb-btn color="default" @click="cookies = true" class="mb-3" size="sm">launch modal</mdb-btn>
        <!-- cookie modal -->
        <mdb-modal :show="cookies" removeBackdrop fullHeight position="bottom">
          <mdb-modal-body>
            <mdb-row center class="align-items-center">
              <p class="pr-2 mb-0">We use cookies to improve your website experience</p>
              <mdb-btn color="primary" @click="cookies = false" icon="book" iconClass="ml-1" iconRight>Learn more
              </mdb-btn>
              <mdb-btn outline="primary" @click="cookies = false">Ok, thanks</mdb-btn>
            </mdb-row>
          </mdb-modal-body>
        </mdb-modal>
      </mdb-container>
    </template>
    
        
    
        
            
    <script>
      import {
        mdbContainer,
        mdbRow,
        mdbBtn,
        mdbModal,
        mdbModalBody
      } from 'mdbvue';
      export default {
        name: 'ModalExamplesPage',
        components: {
          mdbContainer,
          mdbRow,
          mdbBtn,
          mdbModal,
          mdbModalBody,
        },
        data() {
          return {
            cookies: false,
          }
        }
      }
    </script>
    
        
    

Modal Coupon

With coupon pop-up modal you can offer your users a special coupon code to use it at checkout.

        
            
    <template>
      <mdb-container>
        <!-- trigger modal button -->
        <mdb-btn color="default" class="mb-3" @click="coupon = true">launch modal</mdb-btn>
        <!-- cookie modal -->
        <mdb-modal :show="coupon" @close="coupon = false" removeBackdrop fullHeight position="top" success>
          <mdb-modal-body>
            <mdb-row center class="align-items-center">
              <h2>
                <mdb-badge>v52gs1</mdb-badge>
              </h2>
              <p class="pt-3 mx-4">We have a gift for you! Use this code to get a
                <strong>10% discount</strong>.</p>
              <mdb-btn color="success" @click="coupon = false" icon="book" iconClass="ml-1" iconColor="white" iconRight>
                Get it</mdb-btn>
              <mdb-btn outline="success" @click="coupon = false">No, thanks</mdb-btn>
            </mdb-row>
          </mdb-modal-body>
        </mdb-modal>
      </mdb-container>
    </template>
    
        
    
        
            
    <script>
      import {
        mdbContainer,
        mdbRow,
        mdbBtn,
        mdbModal,
        mdbModalBody,
        mdbBadge
      } from 'mdbvue';
      export default {
        name: 'ModalExamplesPage',
        components: {
          mdbContainer,
          mdbRow,
          mdbBtn,
          mdbModal,
          mdbModalBody,
          mdbBadge
        },
        data() {
          return {
            coupon: false,
          }
        }
      }
    </script>
    
        
    

Modal Discount

With coupon pop-up modal you can offer your users a special coupon code to use it at checkout.

        
            
    <template>
      <mdb-container>
        <!-- trigger modal button -->
        <mdb-btn color="default" class="mb-3" @click="discount = true">launch modal</mdb-btn>
        <!-- discount modal -->
        <mdb-modal :show="discount" @close="discount = false" removeBackdrop side position="bottom-right" danger>
          <mdb-modal-header>
            <p class="heading">Discount offer:
              <strong>10% off</strong>
            </p>
          </mdb-modal-header>
          <mdb-modal-body>
            <mdb-row>
              <mdb-column col="3">
                <mdb-icon icon="gift" size="4x" />
              </mdb-column>
              <mdb-column col="9">
                <p>
                  Sharing is caring. Therefore, from time to time we like to give our visitors small gifts. Today is one
                  of those days.</p>
                <p>
                  <strong>Copy the following code and use it at the checkout. It's valid for
                    <u>one day</u>.</strong>
                </p>
                <h2>
                  <mdb-badge>v52gs1</mdb-badge>
                </h2>
              </mdb-column>
            </mdb-row>
          </mdb-modal-body>
          <mdb-modal-footer center>
            <mdb-btn color="danger" tag="a" href="https://mdbootstrap.com/docs/vue/pro/" target="_blank" icon="gem"
              far iconClass="ml-1" iconColor="white" iconRight>Get it</mdb-btn>
            <mdb-btn outline="danger" @click="discount = false">No, thanks</mdb-btn>
          </mdb-modal-footer>
        </mdb-modal>
      </mdb-container>
      
        
    
        
            
      <script>
        import {
          mdbContainer,
          mdbRow,
          mdbColumn,
          mdbIcon,
          mdbBtn,
          mdbModal,
          mdbModalHeader,
          mdbModalBody,
          mdbModalFooter,
          mdbBadge
        } from 'mdbvue';
        export default {
          name: 'ModalExamplesPage',
          components: {
            mdbContainer,
            mdbRow,
            mdbColumn,
            mdbIcon,
            mdbBtn,
            mdbModal,
            mdbModalHeader,
            mdbModalBody,
            mdbModalFooter,
            mdbBadge
          },
          data() {
            return {
              discount: false,
            }
          }
        }
      </script>
      
        
    

Modal Related Content

Display content of interest to users in a modal.

        
            
    <template>
      <mdb-container>
        <!-- trigger modal button -->
        <mdb-btn color="default" class="mb-3" @click="related = true">launch modal</mdb-btn>
        <!-- related modal -->
        <mdb-modal :show="related" @close="related = false" removeBackdrop side position="bottom-right" info>
          <mdb-modal-header>
            <p class="heading">Related article</p>
          </mdb-modal-header>
          <mdb-modal-body>
            <mdb-row>
              <mdb-column col="5">
                <img src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/4-col/img%20(55).webp" class="img-fluid"
                  alt="Baloon floating in Mind-Space">
              </mdb-column>
              <mdb-column col="7">
                <p><strong>My travel to paradise</strong></p>
                <p>Lorem ipsum dolor sit amet consectetur adipisicing elit [...]</p>
                <mdb-btn color="primary">Read more</mdb-btn>
              </mdb-column>
            </mdb-row>
          </mdb-modal-body>
        </mdb-modal>
      </mdb-container>
    </template>
    
        
    
        
            
    <script>
      import {
        mdbContainer,
        mdbRow,
        mdbColumn,
        mdbBtn,
        mdbModal,
        mdbModalHeader,
        mdbModalBody
      } from 'mdbvue';
      export default {
        name: 'ModalExamplesPage',
        components: {
          mdbContainer,
          mdbRow,
          mdbColumn,
          mdbBtn,
          mdbModal,
          mdbModalHeader,
          mdbModalBody
        },
        data() {
          return {
            related: false,
          }
        }
      }
    </script>
    
        
    

Modal Abandoned Cart

Don't let the user forget about the product they left in the shopping cart using abandoned cart modal.

        
            
    <template>
      <mdb-container>
        <!-- trigger modal button -->
        <mdb-btn color="default" class="mb-3" @click="abandoned = true">launch modal</mdb-btn>
        <!-- abandoned modal -->
        <mdb-modal :show="abandoned" @close="abandoned = false" removeBackdrop side position="bottom-right" info>
          <mdb-modal-header>
            <p class="heading">Product in the cart</p>
          </mdb-modal-header>
          <mdb-modal-body>
            <mdb-row>
              <mdb-col col="3">
                <p class="text-center mt-3">
                  <mdb-icon icon="shopping-cart" size="4x" />
                </p>
              </mdb-col>
              <mdb-col col="9">
                <p>Do you need more time to make a purchase decision?</p>
                <p>No pressure, your product will be waiting for you in the cart.</p>
              </mdb-col>
            </mdb-row>
          </mdb-modal-body>
          <mdb-modal-footer center>
            <mdb-btn tag="a" color="primary">Go to cart</mdb-btn>
            <mdb-btn tag="a" outline="primary" @click="abandoned = false">Cancel</mdb-btn>
          </mdb-modal-footer>
        </mdb-modal>
      </mdb-container>
    </template>
    
        
    
        
            
    <script>
      import {
        mdbContainer,
        mdbRow,
        mdbCol,
        mdbBtn,
        mdbIcon,
        mdbModal,
        mdbModalHeader,
        mdbModalBody,
        mdbModalFooter
      } from 'mdbvue';
      export default {
        name: 'ModalExamplesPage',
        components: {
          mdbContainer,
          mdbRow,
          mdbCol,
          mdbBtn,
          mdbIcon,
          mdbModal,
          mdbModalHeader,
          mdbModalBody,
          mdbModalFooter
        },
        data() {
          return {
            abandoned: false,
          }
        }
      }
    </script>
    
        
    

Modal Confirm Delete

Allow users to confirm their action one more time before making a final decision.

        
            
    <template>
      <mdb-container>
        <!-- trigger modal button -->
        <mdb-btn color="default" class="mb-3" @click="confirm = true">lanuch modal</mdb-btn>
        <!-- confirm modal -->
        <mdb-modal :show="confirm" @close="confirm = false" size="sm" class="text-center" danger>
          <mdb-modal-header center :close="false">
            <p class="heading">Are you sure?</p>
          </mdb-modal-header>
          <mdb-modal-body>
            <mdb-icon icon="times" size="4x" class="animated rotateIn" />
          </mdb-modal-body>
          <mdb-modal-footer center>
            <mdb-btn outline="danger" @click="confirm = false">Yes</mdb-btn>
            <mdb-btn color="danger" @click="confirm = false">No</mdb-btn>
          </mdb-modal-footer>
        </mdb-modal>
      </mdb-container>
    </template>
    
        
    
        
            
    <script>
      import {
        mdbRow,
        mdbColumn,
        mdbBtn,
        mdbIcon,
        mdbModal,
        mdbModalHeader,
        mdbModalBody,
        mdbModalFooter
      } from 'mdbvue';
      export default {
        name: 'ModalExamplesPage',
        components: {
          mdbRow,
          mdbColumn,
          mdbBtn,
          mdbIcon,
          mdbModal,
          mdbModalHeader,
          mdbModalBody,
          mdbModalFooter
        },
        data() {
          return {
            confirm: false,
          }
        }
      }
    </script>
    
        
    

Modal Poll

Get feedback on your product from users using the poll modal.

        
            
    <template>
      <mdb-container>
        <!-- trigger modal button -->
        <mdb-btn color="default" class="mb-3 mr-5" @click="poll = true">Launch modal</mdb-btn>
        <!-- poll modal -->
        <mdb-modal :show="poll" @close="poll = false" fullHeight info removeBackdrop>
          <mdb-modal-header center :close="false">
            <p class="heading lead">Feedback request</p>
          </mdb-modal-header>
          <mdb-modal-body>
            <div class="text-center">
              <mdb-icon icon="file-text-o" size="4x" class="mb-3 animated rotateIn" />
              <p><strong>Your opinion matters</strong></p>
              <p>Have some ideas how to improve our product?
                <strong>Give us your feedback.</strong></p>
            </div>
            <hr />
            <p class="text-center">
              <strong>Your rating</strong>
            </p>
            <div class="custom-control custom-radio">
              <input type="radio" class="custom-control-input" id="option1-1" name="radioGroup" value="option1"
                checked />
              <label class="custom-control-label" for="option1-1">Very good</label>
            </div>
            <div class="custom-control custom-radio">
              <input type="radio" class="custom-control-input" id="option1-2" name="radioGroup" value="option2" />
              <label class="custom-control-label" for="option1-2">Good</label>
            </div>
            <div class="custom-control custom-radio">
              <input type="radio" class="custom-control-input" id="option1-3" name="radioGroup" value="option3" />
              <label class="custom-control-label" for="option1-3">Mediocre</label>
            </div>
            <div class="custom-control custom-radio">
              <input type="radio" class="custom-control-input" id="option1-4" name="radioGroup" value="option5" />
              <label class="custom-control-label" for="option1-4">Very bad</label>
            </div>
            <div class="custom-control custom-radio">
              <input type="radio" class="custom-control-input" id="option1-5" name="radioGroup" value="option5" />
              <label class="custom-control-label" for="option1-5">Bad</label>
            </div>
            <p class="text-center">
              <strong>What could we improve?</strong>
            </p>
            <mdb-textarea :rows="3" label="Your message" />
          </mdb-modal-body>
          <mdb-modal-footer center>
            <mdb-btn color="primary" @click="poll = false" icon="paper-plane" iconRight iconClass="ml-1 white-text">Send
            </mdb-btn>
            <mdb-btn outline="primary" @click="poll = false">Cancel</mdb-btn>
          </mdb-modal-footer>
        </mdb-modal>
      </mdb-container>
    </template>
    
        
    
        
            
    <script>
      import {
        mdbContainer,
        mdbBtn,
        mdbIcon,
        mdbModal,
        mdbModalHeader,
        mdbModalBody,
        mdbModalFooter,
        mdbInput,
        mdbTextarea
      } from 'mdbvue';
      export default {
        name: 'ModalExamplesPage',
        components: {
          mdbContainer,
          mdbBtn,
          mdbIcon,
          mdbModal,
          mdbModalHeader,
          mdbModalBody,
          mdbModalFooter,
          mdbInput,
          mdbTextarea
        },
        data() {
          return {
            poll: false,
          }
        }
      }
    </script>
    
        
    

Modal Cart

You can preview the shopping cart with products that your customers have added in a modal.

        
            
    <template>
      <mdb-container>
        <!-- trigger modal button -->
        <mdb-btn color="default" class="mb-3 mr-5" @click="cart = true">launch modal</mdb-btn>
        <!-- cart modal -->
        <mdb-modal :show="cart" @close="cart = false" class="text-center">
          <mdb-modal-header>
            <h4 class="modal-title" id="myModalLabel">Your cart</h4>
          </mdb-modal-header>
          <mdb-modal-body>
            <mdb-tbl hover>
              <mdb-tbl-head>
                <tr>
                  <th>#</th>
                  <th>Product name</th>
                  <th>Price</th>
                  <th>Remove</th>
                </tr>
              </mdb-tbl-head>
              <tbl-body>
                <tr>
                  <th scope="row">1</th>
                  <td>Product 1</td>
                  <td>100$</td>
                  <td><a><mdb-icon icon="times"/></a></td>
                </tr>
                <tr>
                  <th scope="row">2</th>
                  <td>Product 2</td>
                  <td>100$</td>
                  <td><a><mdb-icon icon="times"/></a></td>
                </tr>
                <tr>
                  <th scope="row">3</th>
                  <td>Product 3</td>
                  <td>100$</td>
                  <td><a><mdb-icon icon="times"/></a></td>
                </tr>
                <tr>
                  <th scope="row">4</th>
                  <td>Product 4</td>
                  <td>100$</td>
                  <td><a><mdb-icon icon="times"/></a></td>
                </tr>
                <tr class="total">
                  <th scope="row">5</th>
                  <td>Total</td>
                  <td>400$</td>
                  <td></td>
                </tr>
              </tbl-body>
            </mdb-tbl>
          </mdb-modal-body>
          <mdb-modal-footer>
            <mdb-btn outline="primary" @click="cart = false">Close</mdb-btn>
            <mdb-btn color="primary" @click="cart = false">Checkout</mdb-btn>
          </mdb-modal-footer>
        </mdb-modal>
      </mdb-container>
    </template>
    
        
    
        
            
    <script>
      import {
        mdbContainer,
        mdbBtn,
        mdbIcon,
        mdbModal,
        mdbModalHeader,
        mdbModalBody,
        mdbModalFooter,
        mdbTable,
        mdbTblHead,
        mdbTblBody
      } from 'mdbvue';
      export default {
        name: 'ModalExamplesPage',
        components: {
          mdbContainer,
          mdbBtn,
          mdbIcon,
          mdbModal,
          mdbModalHeader,
          mdbModalBody,
          mdbModalFooter,
          mdbTable,
          mdbTblHead,
          mdbTblBody
        },
        data() {
          return {
            cart: false,
          }
        }
      }
    </script>
    
        
    

Modal Push

Push notifications are one of the most effective ways to inform users about special offers and important events on your website. Display a push modal on users' first visit to your website and allow them to sign up for your list.

        
            
    <template>
      <mdb-container>
        <!-- trigger modal button -->
        <mdb-btn color="default" class="mb-3" @click="push = true">launch modal</mdb-btn>
        <!-- cart modal -->
        <mdb-modal :show="push" @close="push = false" class="text-center" info>
          <mdb-modal-header center :close="false">
            <p class="heading">Be always up to date</p>
          </mdb-modal-header>
          <mdb-modal-body>
            <mdb-icon icon="bell" size="4x" class="animated rotateIn mb-4" />
            <p>Do you want to receive the push notification about the newest posts?</p>
          </mdb-modal-body>
          <mdb-modal-footer center>
            <mdb-btn outline="primary" @click="push = false" tag="a" href="https://mdbootstrap.com/docs/b4/vue/newsletter/"
              target="_blank">Yes</mdb-btn>
            <mdb-btn color="primary" @click="push = false">No</mdb-btn>
          </mdb-modal-footer>
        </mdb-modal>
      </mdb-container>
    </template>
    
        
    
        
            
    <script>
      import {
        mdbContainer,
        mdbBtn,
        mdbIcon,
        mdbModal,
        mdbModalHeader,
        mdbModalBody,
        mdbModalFooter
      } from 'mdbvue';
      export default {
        name: 'ModalExamplesPage',
        components: {
          mdbContainer,
          mdbBtn,
          mdbIcon,
          mdbModal,
          mdbModalHeader,
          mdbModalBody,
          mdbModalFooter,
        },
        data() {
          return {
            push: false,
          }
        }
      }
    </script>
    
        
    

Modal YouTube

Display youtube videos in a pop-up modal.

        
            
    <template>
      <mdb-container>
        <!-- trigger modal button -->
        <mdb-btn color="primary" @click="ytmodal = true">Launch modal</mdb-btn>
        <!-- youtube modal -->
        <mdb-modal :show="ytmodal" @close="ytmodal = false">
          <mdb-modal-body class="p-0">
            <div class="embed-responsive embed-responsive-16by9 z-depth-1-half">
              <iframe class="embed-responsive-item" src="https://www.youtube.com/embed/A3PDXmYoF5U"
                allowfullscreen></iframe>
            </div>
          </mdb-modal-body>
          <mdb-modal-footer center>
            <span class="mr-4">Spread the word!</span>
            <mdb-btn tag="a" floating size="sm" class="btn-fb">
              <mdb-icon icon="facebook" />
            </mdb-btn>
            <mdb-btn tag="a" floating size="sm" class="btn-tw">
              <mdb-icon icon="twitter" />
            </mdb-btn>
            <mdb-btn tag="a" floating size="sm" class="btn-gplus">
              <mdb-icon icon="google-plus" />
            </mdb-btn>
            <mdb-btn tag="a" floating size="sm" class="btn-ins">
              <mdb-icon icon="linkedin" />
            </mdb-btn>
            <mdb-btn outline="primary" rounded size="md" @click="ytmodal = false" class="ml-4">close</mdb-btn>
          </mdb-modal-footer>
        </mdb-modal>
      </mdb-container>
    </template>
    
        
    
        
            
    <script>
      import {
        mdbContainer,
        mdbBtn,
        mdbIcon,
        mdbModal,
        mdbModalHeader,
        mdbModalBody,
        mdbModalFooter
      } from 'mdbvue';
      export default {
        name: 'ModalExamplesPage',
        components: {
          mdbContainer,
          mdbBtn,
          mdbIcon,
          mdbModal,
          mdbModalHeader,
          mdbModalBody,
          mdbModalFooter,
        },
        data() {
          return {
            ytmodal: false,
          }
        }
      }
    </script>
    
        
    

Modal Vimeo

Display vimeo videos in a pop-up modal.

        
            
    <template>
      <mdb-container>
        <!-- trigger modal button -->
        <mdb-btn color="primary" @click="vmmodal = true">Launch modal</mdb-btn>
        <!-- vimeo modal -->
        <mdb-modal :show="vmmodal" @close="vmmodal=false">
          <mdb-modal-body class="p-0">
            <div class="embed-responsive embed-responsive-16by9 z-depth-1-half">
              <iframe class="embed-responsive-item" src="https://player.vimeo.com/video/115098447"
                allowfullscreen></iframe>
            </div>
          </mdb-modal-body>
          <mdb-modal-footer center>
            <span class="mr-4">Spread the word!</span>
            <mdb-btn tag="a" floating size="sm" class="btn-fb">
              <mdb-icon icon="facebook" />
            </mdb-btn>
            <mdb-btn tag="a" floating size="sm" class="btn-tw">
              <mdb-icon icon="twitter" />
            </mdb-btn>
            <mdb-btn tag="a" floating size="sm" class="btn-gplus">
              <mdb-icon icon="google-plus" />
            </mdb-btn>
            <mdb-btn tag="a" floating size="sm" class="btn-ins">
              <mdb-icon icon="linkedin" />
            </mdb-btn>
            <mdb-btn outline="primary" rounded size="md" @click="vmmodal = false" class="ml-4">close</mdb-btn>
          </mdb-modal-footer>
        </mdb-modal>
      </mdb-container>
    </template>
    
        
    
        
            
    <script>
      import {
        mdbContainer,
        mdbBtn,
        mdbIcon,
        mdbModal,
        mdbModalHeader,
        mdbModalBody,
        mdbModalFooter
      } from 'mdbvue';
      export default {
        name: 'ModalExamplesPage',
        components: {
          mdbContainer,
          mdbBtn,
          mdbIcon,
          mdbModal,
          mdbModalHeader,
          mdbModalBody,
          mdbModalFooter,
        },
        data() {
          return {
            vmmodal: false,
          }
        }
      }
    </script>
    
        
    

Modal Product MDB Pro component

Advanced modal displaying carousels with product photos, description in collapse group and possibility to select specific data via dropdown.

        
            
      <template>
        <mdb-container>
          <mdb-btn color="default" @click="product=true" class="mb-3">Product</mdb-btn>
          <mdb-modal :show="product" class="product-modal" @close="product = false" size="lg" info>
            <mdb-modal-body>
              <mdb-row>
                <mdb-col lg="5">
                  <mdb-carousel :items="carousel" controlls indicators thumbnails :thumbnailWidth="90" />
                </mdb-col>
                <mdb-col lg="7">
                  <h2 class="h2-responsive product-name">
                    <strong>Product Name</strong>
                  </h2>
                  <h4 class="h4-responsive">
                    <span class="green-text">
                      <strong>$49</strong>
                    </span>
                    <span class="grey-text">
                      <small>
                        <strong>$89</strong>
                      </small>
                    </span>
                  </h4>
                  <mdb-accordion :panes="panes" material />
                  <mdb-card-body>
                    <mdb-row>
                      <mdb-col md="6">
                        <mdb-select :options="colors" />
                      </mdb-col>
                      <mdb-col md="6">
                        <mdb-select :options="sizes" />
                      </mdb-col>
                    </mdb-row>
                    <div class="text-center">
                      <mdb-btn color="secondary" @click="product=false">Close</mdb-btn>
                      <mdb-btn color="primary" icon="cart-plus" iconClass="ml-2 white-text" iconRight>Add to cart
                      </mdb-btn>
                    </div>
                  </mdb-card-body>
                </mdb-col>
              </mdb-row>
            </mdb-modal-body>
          </mdb-modal>
        </mdb-container>
      </template>
      
        
    
        
            
      <script>
        import {
          mdbRow,
          mdbCol,
          mdbBtn,
          mdbIcon,
          mdbModal,
          mdbModalBody,
          mdbAccordion,
          mdbCardBody,
          mdbSelect,
          mdbCarousel
        } from 'mdbvue';
        export default {
          name: 'ModalExamplesPage',
          components: {
            mdbRow,
            mdbCol,
            mdbBtn,
            mdbIcon,
            mdbModal,
            mdbModalBody,
            mdbAccordion,
            mdbCardBody,
            mdbSelect,
            mdbCarousel
          },
          data() {
            return {
              product: false,
              carousel: [{
                  img: true,
                  src: "https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Vertical/img%20(23).webp",
                  thumbnail: "https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Vertical/img%20(23).webp",
                  alt: "First slide"
                },
                {
                  img: true,
                  src: "https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Vertical/img%20(24).webp",
                  thumbnail: "https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Vertical/img%20(24).webp",
                  alt: "Second slide"
                },
                {
                  img: true,
                  src: "https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Vertical/img%20(25).webp",
                  thumbnail: "https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Vertical/img%20(25).webp",
                  alt: "Third slide"
                }
              ],
              colors: [{
                  value: 'red',
                  text: 'red'
                },
                {
                  value: 'pink',
                  text: 'pink'
                },
                {
                  value: 'green',
                  text: 'green'
                }
              ],
              sizes: [{
                  value: 'small',
                  text: 'small'
                },
                {
                  value: 'medium',
                  text: 'medium'
                },
                {
                  value: 'large',
                  text: 'large'
                }
              ]
            }
          }
        }
      </script>
      
        
    

Modal Social Share

Display social media share buttons in the modal.

        
            
    <template>
      <mdb-container>
        <!-- trigger modal button -->
        <mdb-btn color="default" class="mb-3" @click="share = true">lanuch modal</mdb-btn>
        <!-- share modal -->
        <mdb-modal :show="share" @close="share = false" cascade>
          <mdb-modal-header color="light-blue darken-3 white-text">
            <h4 class="title">
              <mdb-icon icon="users" /> Spreed the word!</h4>
          </mdb-modal-header>
          <mdb-modal-body class="text-center">
            <mdb-btn floating tag="a" class="btn-fb" fab icon="facebook" />
            <mdb-btn floating tag="a" class="btn-tw" fab icon="twitter" />
            <mdb-btn floating tag="a" class="btn-gplus" fab icon="google-plus" />
            <mdb-btn floating tag="a" class="btn-li" fab icon="linkedin" />
            <mdb-btn floating tag="a" class="btn-ins" fab icon="instagram" />
            <mdb-btn floating tag="a" class="btn-pin" fab icon="pinterest" />
            <mdb-btn floating tag="a" class="btn-yt" fab icon="youtube" />
            <mdb-btn floating tag="a" class="btn-dribbble" fab icon="dribbble" />
            <mdb-btn floating tag="a" class="btn-vk" fab icon="vk" />
            <mdb-btn floating tag="a" class="btn-so" fab icon="stack-overflow" />
            <mdb-btn floating tag="a" class="btn-slack" fab icon="slack" />
            <mdb-btn floating tag="a" class="btn-git" fab icon="github" />
            <mdb-btn floating tag="a" class="btn-comm" icon="comments" />
            <mdb-btn floating tag="a" class="btn-email" icon="envelope" />
          </mdb-modal-body>
        </mdb-modal>
      </mdb-container>
    </template>
    
        
    
        
            
    <script>
      import {
        mdbContainer,
        mdbBtn,
        mdbIcon,
        mdbModal,
        mdbModalHeader,
        mdbModalBody
      } from 'mdbvue';
      export default {
        name: 'ModalExamplesPage',
        components: {
          mdbContainer,
          mdbBtn,
          mdbIcon,
          mdbModal,
          mdbModalHeader,
          mdbModalBody
        },
        data() {
          return {
            share: false,
          }
        }
      }
    </script>

Angular Bootstrap Modal Examples & Templates

Angular Modal Examples & Templates - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Angular Bootstrap modal examples & templates are a set of advanced modal examples which you can use in your project.

See also: Modal Core Documentation, Modal Forms and Modal Styles.

Click on the buttons below to launch a modals demo


Modal Cookies

        
            
            <button type="button" mdbBtn color="primary" class="waves-light" data-toggle="modal" data-target="#basicExample"
              (click)="frame.show()" mdbWavesEffect>
              Bottom
            </button>
            <div mdbModal #frame="mdbModal" class="modal fade bottom modal-scrolling" id="frameModalTop" tabindex="-1"
              role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" [config]="{backdrop: false, ignoreBackdropClick: true}">
              <div class="modal-dialog modal-frame modal-bottom modal-notify modal-info" role="document">
                <!--Content-->
                <div class="modal-content">
                  <!--Body-->
                  <div class="modal-body">
                    <div class="row d-flex justify-content-center align-items-center">
                      <p class="pt-3 pr-2">We use cookies to improve your website experience</p>
                      <a type="button" mdbBtn color="primary" class="waves-light" mdbWavesEffect>Learn more
                        <mdb-icon fas icon="book" class="ml-1"></mdb-icon>
                      </a>
                      <a type="button" mdbBtn color="primary" outline="true" class="waves-light" mdbWavesEffect
                        data-dismiss="modal" (click)="frame.hide()">Ok, thanks</a>
                    </div>
                  </div>
                </div>
                <!--/.Content-->
              </div>
            </div>
          
        
    

Modal Coupon

        
            
            <button type="button" mdbBtn color="primary" class="waves-light" data-toggle="modal" data-target="#basicExample"
              (click)="frame.show()" mdbWavesEffect>
              LAUNCH MODAL
            </button>
            <div mdbModal #frame="mdbModal" class="modal fade top modal-scrolling" id="frameModalTop" tabindex="-1" role="dialog"
              aria-labelledby="myModalLabel" aria-hidden="true" [config]="{backdrop: false, ignoreBackdropClick: true}">
              <div class="modal-dialog modal-frame modal-top modal-notify modal-info" role="document">
                <!--Content-->
                <div class="modal-content">
                  <!--Body-->
                  <div class="modal-body">
                    <div class="row d-flex justify-content-center align-items-center">
                      <h2>
                        <span class="badge">v52gs1</span>
                      </h2>
                      <p class="pt-3 mx-4">We have a gift for you! Use this code to get a
                        <strong>10% discount</strong>.</p>
                      <a type="button" mdbBtn color="success" class="waves-light" mdbWavesEffect>Get it
                        <mdb-icon fas icon="book" class="ml-1"></mdb-icon>
                      </a>
                      <a type="button" mdbBtn color="success" outline="true" class="waves-light" mdbWavesEffect
                        data-dismiss="modal" (click)="frame.hide()">Ok, thanks</a>
                    </div>
                  </div>
                </div>
                <!--/.Content-->
              </div>
            </div>
          
        
    

Modal Discount

        
            
          <button type="button" mdbBtn color="primary" class="waves-light" data-toggle="modal" data-target="#basicExample"
            (click)="frame.show()" mdbWavesEffect>Launch Modal</button>
          <div mdbModal #frame="mdbModal" class="modal fade right modal-scrolling" id="frameModalTop" tabindex="-1" role="dialog"
            aria-labelledby="myModalLabel" aria-hidden="true" [config]="{backdrop: false, ignoreBackdropClick: true}">
            <div class="modal-dialog modal-side modal-bottom-right modal-notify modal-danger" role="document">
              <!--Content-->
              <div class="modal-content">
                <!--Header-->
                <div class="modal-header">
                  <p class="heading">Discount offer:
                    <strong>10% off</strong>
                  </p>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close" (click)="frame.hide()">
                    <span aria-hidden="true" class="white-text">&times;</span>
                  </button>
                </div>
                <!--Body-->
                <div class="modal-body">
                  <div class="row">
                    <div class="col-3">
                      <p></p>
                      <p class="text-center">
                        <i class="fas fa-gift fa-4x"></i>
                      </p>
                    </div>
                    <div class="col-9">
                      <p>Sharing is caring. Therefore, from time to time we like to give our visitors small gifts.
                        Today is one of those
                        days.
                      </p>
                      <p>
                        <strong>Copy the following code and use it at the checkout. It's valid for
                          <u>one day</u>.</strong>
                      </p>
                      <h2>
                        <mdb-badge danger="true">v52gs1</mdb-badge>
                      </h2>
                    </div>
                  </div>
                </div>
                <!--Footer-->
                <div class="modal-footer flex-center">
                  <a href="https://mdbootstrap.com/docs/angular/pro/" mdbBtn color="danger" class="waves-effect"
                    mdbWavesEffect>Get it now
                    <mdb-icon far icon="gem" class="ml-1"></mdb-icon>
                  </a>
                  <a type="button" mdbBtn color="danger" outline="true" class="waves-effect" mdbWavesEffect data-dismiss="modal"
                    (click)="frame.hide()">No, thanks</a>
                </div>
              </div>
              <!--/.Content-->
            </div>
          </div>
        
        
    

Modal Related content

        
            
          <button type="button" mdbBtn color="primary" class="waves-light" data-toggle="modal" data-target="#basicExample"
            (click)="frame.show()" mdbWavesEffect>Launch Modal</button>
          <div mdbModal #frame="mdbModal" class="modal fade right modal-scrolling" id="frameModalTop" tabindex="-1" role="dialog"
            aria-labelledby="myModalLabel" aria-hidden="true" [config]="{backdrop: false, ignoreBackdropClick: true}">
            <div class="modal-dialog modal-side modal-bottom-right modal-notify modal-info" role="document">
              <!--Content-->
              <div class="modal-content">
                <!--Header-->
                <div class="modal-header">
                  <p class="heading">Related article</p>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close" (click)="frame.hide()">
                    <span aria-hidden="true" class="white-text">&times;</span>
                  </button>
                </div>
                <!--Body-->
                <div class="modal-body">
                  <div class="row">
                    <div class="col-5">
                      <img src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/4-col/img%20(55).webp" class="img-fluid"
                        alt="">
                    </div>
                    <div class="col-7">
                      <p>
                        <strong>My travel to paradise</strong>
                      </p>
                      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit [...]</p>
                      <button type="button" mdbBtn color="info" class="waves-light" mdbWavesEffect>Read more</button>
                    </div>
                  </div>
                </div>
              </div>
              <!--/.Content-->
            </div>
          </div>
        
        
    

Modal Abandoned cart

        
            
          <button type="button" mdbBtn color="primary" class="waves-light" data-toggle="modal" data-target="#basicExample"
            (click)="frame.show()" mdbWavesEffect>Launch Modal</button>
          <div mdbModal #frame="mdbModal" class="modal fade right modal-scrolling" id="frameModalTop" tabindex="-1" role="dialog"
            aria-labelledby="myModalLabel" aria-hidden="true" [config]="{backdrop: false, ignoreBackdropClick: true}">
            <div class="modal-dialog modal-side modal-bottom-right modal-notify modal-info" role="document">
              <!--Content-->
              <div class="modal-content">
                <!--Header-->
                <div class="modal-header">
                  <p class="heading">Product in the cart
                  </p>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close" (click)="frame.hide()">
                    <span aria-hidden="true" class="white-text">&times;</span>
                  </button>
                </div>
                <!--Body-->
                <div class="modal-body">
                  <div class="row">
                    <div class="col-3">
                      <p></p>
                      <p class="text-center">
                        <mdb-icon fas icon="shopping-cart" size="4x"></mdb-icon>
                      </p>
                    </div>
                    <div class="col-9">
                      <p>Do you need more time to make a purchase decision?</p>
                      <p>No pressure, your product will be waiting for you in the cart.</p>
                    </div>
                  </div>
                </div>
                <!--Footer-->
                <div class="modal-footer justify-content-center">
                  <a type="button" mdbBtn color="info" class="waves-effect" mdbWavesEffect>Go to cart</a>
                  <a type="button" mdbBtn color="info" outline="true" class="waves-effect" mdbWavesEffect data-dismiss="modal"
                    (click)="frame.hide()">Cancel</a>
                </div>
              </div>
              <!--/.Content-->
            </div>
          </div>
        
        
    

Modal Confirm delete

        
            
          <button type="button" mdbBtn color="primary" class="waves-light" data-toggle="modal" data-target="#basicExample"
            (click)="frame.show()" mdbWavesEffect>Launch Modal</button>
          <div mdbModal #frame="mdbModal" class="modal fade top" id="frameModalTop" tabindex="-1" role="dialog"
            aria-labelledby="myModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-sm modal-notify modal-danger" role="document">
              <!--Content-->
              <div class="modal-content text-center">
                <!--Header-->
                <div class="modal-header d-flex justify-content-center">
                  <p class="heading">Are you sure?</p>
                </div>
                <!--Body-->
                <div class="modal-body">
                  <mdb-icon fas icon="times" size="4x" class="animated rotateIn"></mdb-icon>
                </div>
                <!--Footer-->
                <div class="modal-footer justify-content-center">
                  <a href="https://mdbootstrap.com/docs/angular/pro/" mdbBtn color="danger" outline="true" class="waves-effect"
                    mdbWavesEffect>Yes</a>
                  <a type="button" mdbBtn color="danger" class="waves-effect" mdbWavesEffect data-dismiss="modal" (click)="frame.hide()">No</a>
                </div>
              </div>
              <!--/.Content-->
            </div>
          </div>
        
        
    

Modal Poll MDB Pro component

        
            
            <button type="button" mdbBtn color="primary" class="waves-light" data-toggle="modal" data-target="#basicExample"
              (click)="frame.show()" mdbWavesEffect>Launch Modal</button>
            <div mdbModal #frame="mdbModal" class="modal fade right" id="frameModalTop" tabindex="-1" role="dialog"
              aria-labelledby="myModalLabel" aria-hidden="true" [config]="{backdrop: false, ignoreBackdropClick: true}">
              <div class="modal-dialog modal-full-height modal-right modal-notify modal-info" role="document">
                <div class="modal-content">
                  <!--Header-->
                  <div class="modal-header">
                    <p class="heading lead">Feedback request
                    </p>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close" (click)="frame.hide()">
                      <span aria-hidden="true" class="white-text">×</span>
                    </button>
                  </div>
                  <!--Body-->
                  <div class="modal-body">
                    <div class="text-center">
                      <mdb-icon far icon="file-alt" size="4x" class="mb-3 animated rotateIn"></mdb-icon>
                      <p>
                        <strong>Your opinion matters</strong>
                      </p>
                      <p>Have some ideas how to improve our product?
                        <strong>Give us your feedback.</strong>
                      </p>
                    </div>
                    <hr>
                    <!-- Radio -->
                    <p class="text-center">
                      <strong>Your rating</strong>
                    </p>
                    <div class="form-check mb-4">
                      <input class="form-check-input" name="group1" type="radio" id="radio-179" value="option1"
                        mdbInput>
                      <label class="form-check-label" for="radio-179">Very good</label>
                    </div>
                    <div class="form-check mb-4">
                      <input class="form-check-input" name="group1" type="radio" id="radio-279" value="option2"
                        mdbInput>
                      <label class="form-check-label" for="radio-279">Good</label>
                    </div>
                    <div class="form-check mb-4">
                      <input class="form-check-input" name="group1" type="radio" id="radio-379" value="option3"
                        mdbInput>
                      <label class="form-check-label" for="radio-379">Mediocre</label>
                    </div>
                    <div class="form-check mb-4">
                      <input class="form-check-input" name="group1" type="radio" id="radio-479" value="option4"
                        mdbInput>
                      <label class="form-check-label" for="radio-479">Bad</label>
                    </div>
                    <div class="form-check mb-4">
                      <input class="form-check-input" name="group1" type="radio" id="radio-579" value="option5"
                        mdbInput>
                      <label class="form-check-label" for="radio-579">Very bad</label>
                    </div>
                    <!-- Radio -->
                    <p class="text-center">
                      <strong>What could we improve?</strong>
                    </p>
                    <!--Basic textarea-->
                    <div class="md-form">
                      <textarea type="text" id="form79textarea" class="md-textarea form-control" rows="3"
                        mdbInput></textarea>
                      <label for="form79textarea">Your message</label>
                    </div>
                  </div>
                  <!--Footer-->
                  <div class="modal-footer justify-content-center">
                    <a type="button" mdbBtn color="primary" class="waves-light" mdbWavesEffect>Send
                      <mdb-icon fas icon="paper-plane" class="ml-1"></mdb-icon>
                    </a>
                    <a type="button" mdbBtn color="primary" outline="true" class="waves-effect" data-dismiss="modal"
                      mdbWavesEffect (click)="frame.hide()">Cancel</a>
                  </div>
                </div>
              </div>
            </div>
          
        
    

Modal Cart

        
            
            <button type="button" mdbBtn color="primary" class="waves-light" data-toggle="modal" data-target="#basicExample" (click)="frame.show()"
            mdbWavesEffect>Launch Modal</button>
          <div mdbModal #frame="mdbModal" class="modal fade" id="frameModalTop" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
              <div class="modal-content">
                <!--Header-->
                <div class="modal-header">
                  <h4 class="modal-title" id="myModalLabel">Your cart</h4>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close" (click)="frame.hide()">
                    <span aria-hidden="true">×</span>
                  </button>
                </div>
                <!--Body-->
                <div class="modal-body">
                  <table class="table table-hover">
                    <thead>
                      <tr>
                        <th>#</th>
                        <th>Product name</th>
                        <th>Price</th>
                        <th>Remove</th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr>
                        <th scope="row">1</th>
                        <td>Product 1</td>
                        <td>100$</td>
                        <td>
                          <a>
                            <mdb-icon fas icon="times"></mdb-icon>
                          </a>
                        </td>
                      </tr>
                      <tr>
                        <th scope="row">2</th>
                        <td>Product 2</td>
                        <td>100$</td>
                        <td>
                          <a>
                            <mdb-icon fas icon="times"></mdb-icon>
                          </a>
                        </td>
                      </tr>
                      <tr>
                        <th scope="row">3</th>
                        <td>Product 3</td>
                        <td>100$</td>
                        <td>
                          <a>
                            <mdb-icon fas icon="times"></mdb-icon>
                          </a>
                        </td>
                      </tr>
                      <tr>
                        <th scope="row">4</th>
                        <td>Product 4</td>
                        <td>100$</td>
                        <td>
                          <a>
                            <mdb-icon fas icon="times"></mdb-icon>
                          </a>
                        </td>
                      </tr>
                      <tr class="total">
                        <th scope="row">5</th>
                        <td>Total</td>
                        <td>400$</td>
                        <td></td>
                      </tr>
                    </tbody>
                  </table>
                </div>
                <!--Footer-->
                <div class="modal-footer">
                  <button type="button" mdbBtn color="primary" outline="true" class="waves-light" mdbWavesEffect data-dismiss="modal" (click)="frame.hide()">Close</button>
                  <button mdbBtn color="primary" class="waves-light" mdbWavesEffect>Checkout</button>
                </div>
              </div>
            </div>
          </div>
        
        
    

Modal Push

        
            
            <button type="button" mdbBtn color="primary" class="waves-light" data-toggle="modal" data-target="#basicExample" (click)="frame.show()"
            mdbWavesEffect>Launch Modal</button>
          <div mdbModal #frame="mdbModal" class="modal fade" id="frameModalTop" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
            aria-hidden="true">
            <div class="modal-dialog modal-notify modal-info" role="document">
              <!--Content-->
              <div class="modal-content text-center">
                <!--Header-->
                <div class="modal-header d-flex justify-content-center">
                  <p class="heading">Be always up to date</p>
                </div>
                <!--Body-->
                <div class="modal-body">
                  <mdb-icon fas icon="bell" size="4x" class="animated rotateIn mb-4"></mdb-icon>
                  <p>Do you want to receive the push notification about the newest posts?</p>
                </div>
                <!--Footer-->
                <div class="modal-footer justify-content-center">
                  <a href="https://mdbootstrap.com/docs/angular/pro/" mdbBtn color="primary" class="waves-light" mdbWavesEffect>Yes</a>
                  <a type="button" mdbBtn color="primary" outline="true" class="waves-light" mdbWavesEffect data-dismiss="modal" (click)="frame.hide()">No</a>
                </div>
              </div>
              <!--/.Content-->
            </div>
          </div>
        
        
    

Modal YouTube MDB Pro component

        
            
            <button type="button" mdbBtn color="primary" class="waves-light" data-toggle="modal" data-target="#basicExample" (click)="frame.show()"
            mdbWavesEffect>Launch Modal</button>
          <div mdbModal #frame="mdbModal" class="modal fade" id="frameModalTop" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
            aria-hidden="true">
            <div class="modal-dialog modal-lg" role="document">
              <!--Content-->
              <div class="modal-content">
                <!--Body-->
                <div class="modal-body mb-0 p-0">
                  <div class="embed-responsive embed-responsive-16by9 z-depth-1-half">
                    <iframe class="embed-responsive-item" src="https://www.youtube.com/embed/A3PDXmYoF5U" allowfullscreen></iframe>
                  </div>
                </div>
                <!--Footer-->
                <div class="modal-footer justify-content-center flex-column flex-md-row">
                  <span class="mr-4">Spread the word!</span>
                  <div>
                    <a type="button" mdbBtn floating="true" size="sm" mdbBtn color="fb" class="waves-light" mdbWavesEffect>
                      <mdb-icon fab icon="facebook-f"></mdb-icon>
                    </a>
                    <!--Twitter-->
                    <a type="button" mdbBtn floating="true" size="sm" mdbBtn color="tw" class="waves-light" mdbWavesEffect>
                      <mdb-icon fab icon="twitter"></mdb-icon>
                    </a>
                    <!--Google +-->
                    <a type="button" mdbBtn floating="true" size="sm" mdbBtn color="gplus" class="waves-light" mdbWavesEffect>
                      <mdb-icon fab icon="google-plus"></mdb-icon>
                    </a>
                    <!--Linkedin-->
                    <a type="button" mdbBtn floating="true" size="sm" mdbBtn color="ins" class="waves-light" mdbWavesEffect>
                      <mdb-icon fab icon="linkedin-in"></mdb-icon>
                    </a>
                  </div>
                  <button type="button" mdbBtn color="primary" outline="true" rounded="true" class="ml-4 waves-light" mdbWavesEffect data-dismiss="modal"
                    (click)="frame.hide()">Close</button>
                </div>
              </div>
              <!--/.Content-->
            </div>
          </div>
        
        
    

Modal Vimeo MDB Pro component

        
            
            <button type="button" mdbBtn color="primary" class="waves-light" data-toggle="modal" data-target="#basicExample" (click)="frame.show()"
            mdbWavesEffect>Launch Modal</button>
          <div mdbModal #frame="mdbModal" class="modal fade" id="frameModalTop" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
            aria-hidden="true">
            <div class="modal-dialog modal-lg" role="document">
              <!--Content-->
              <div class="modal-content">
                <!--Body-->
                <div class="modal-body mb-0 p-0">
                  <div class="embed-responsive embed-responsive-16by9 z-depth-1-half">
                    <iframe class="embed-responsive-item" src="https://player.vimeo.com/video/115098447" allowfullscreen></iframe>
                  </div>
                </div>
                <!--Footer-->
                <div class="modal-footer justify-content-center flex-column flex-md-row">
                  <span class="mr-4">Spread the word!</span>
                  <div>
                    <a type="button" mdbBtn floating="true" size="sm" color="fb" class="waves-light" mdbWavesEffect>
                      <mdb-icon fab icon="facebook-f"></mdb-icon>
                    </a>
                    <!--Twitter-->
                    <a type="button" mdbBtn floating="true" size="sm" color="tw" class="waves-light" mdbWavesEffect>
                      <mdb-icon fab icon="twitter"></mdb-icon>
                    </a>
                    <!--Google +-->
                    <a type="button" mdbBtn floating="true" size="sm" color="gplus" class="waves-light" mdbWavesEffect>
                      <mdb-icon fab icon="google-plus"></mdb-icon>
                    </a>
                    <!--Linkedin-->
                    <a type="button" mdbBtn floating="true" size="sm" color="ins" class="waves-light" mdbWavesEffect>
                      <mdb-icon fab icon="linkedin-in"></mdb-icon>
                    </a>
                  </div>
                  <button type="button" mdbBtn color="primary" outline="true" class="ml-4 waves-light" mdbWavesEffect data-dismiss="modal"
                    (click)="frame.hide()">Close</button>
                </div>
              </div>
              <!--/.Content-->
            </div>
          </div>
        
        
    

Modal Product MDB Pro component

        
            
          <button type="button" mdbBtn color="primary" class="waves-light" data-toggle="modal" data-target="#basicExample"
            (click)="frame.show()" mdbWavesEffect>Launch Modal</button>
          <div mdbModal #frame="mdbModal" class="modal fade" id="frameModalTop" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
            aria-hidden="true">
            <div class="modal-dialog modal-lg" role="document">
              <div class="modal-content">
                <div class="modal-body">
                  <div class="row">
                    <div class="col-lg-5">
                      <!--Carousel Wrapper-->
                      <mdb-carousel [isControls]="true" [animation]="'slide'">
                        <!--First slide-->
                        <mdb-slide>
                          <img class="d-block w-100" src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Vertical/img%20(23).webp"
                            alt="First slide">
                        </mdb-slide>
                        <!--/First slide-->
                        <!--Second slide-->
                        <mdb-slide>
                          <img class="d-block w-100" src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Vertical/img%20(24).webp"
                            alt="Second slide">
                        </mdb-slide>
                        <!--/Second slide-->
                        <!--Third slide-->
                        <mdb-slide>
                          <img class="d-block w-100" src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Vertical/img%20(25).webp"
                            alt="Third slide">
                        </mdb-slide>
                        <!--/Third slide-->
                      </mdb-carousel>
                      <!--/.Carousel Wrapper-->
                    </div>
                    <div class="col-lg-7">
                      <h2 class="h2-responsive product-name">
                        <strong>Product Name</strong>
                      </h2>
                      <h4 class="h4-responsive">
                        <span class="green-text">
                          <strong>$49</strong>
                        </span>
                        <span class="grey-text">
                          <small>
                            <s>$89</s>
                          </small>
                        </span>
                      </h4>
                      <!--Accordion wrapper-->
                      <mdb-squeezebox [multiple]="false" aria-multiselectable="true">
                        <mdb-item [collapsed]="true" *ngFor="let item of itemsList">
                          <mdb-item-head> {{ item.title }} </mdb-item-head>
                          <mdb-item-body> {{ item.description }} </mdb-item-body>
                        </mdb-item>
                      </mdb-squeezebox>
                      <!--/.Accordion wrapper-->
                      <!-- Add to Cart -->
                      <div class="card-body">
                        <div class="row">
                          <div class="col-md-6">
                            <div class="md-form">
                              <mdb-select [options]="colorSelect" placeholder="Choose your color"></mdb-select>
                            </div>
                          </div>
                          <div class="col-md-6">
                            <div class="md-form">
                              <mdb-select [options]="sizeSelect" placeholder="Choose your size"></mdb-select>
                            </div>
                          </div>
                        </div>
                        <div class="text-center">
                          <button type="button" mdbBtn color="secondary" class="waves-light" mdbWavesEffect (click)="frame.hide()"
                            data-dismiss="modal">Close</button>
                          <button mdbBtn color="primary" class="waves-light" mdbWavesEffect>Add to cart
                            <mdb-icon fas icon="cart-plus" class="ml-2" aria-hidden="true"></mdb-icon>
                          </button>
                        </div>
                      </div>
                      <!-- /.Add to Cart -->
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'product-modal',
            templateUrl: './product-modal.component.html',
            styleUrls: ['./product-modal.component.scss'],
          })
          export class ProductModalComponent {
            colorSelect = [
              { value: 'Black', label: 'Black' },
              { value: 'White', label: 'White' },
              { value: 'Red', label: 'Red' },
            ];

            sizeSelect = [
              { value: 'XS', label: 'XS' },
              { value: 'S', label: 'S' },
              { value: 'L', label: 'L' },
            ];

            public itemsList: Object[] = [
              {
                title: 'Description',
                description: 'Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad
                squid.'
              },
              {
                title: 'Details',
                description: 'Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad
                squid.'
              },
              {
                title: 'Shipping',
                description: 'Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad
                squid.'
              }
            ];
          }
        
        
    

Modal Social share MDB Pro component

        
            
          <button type="button" mdbBtn color="primary" class="waves-light" data-toggle="modal" data-target="#basicExample" (click)="frame.show()"
          mdbWavesEffect>Launch Modal</button>
          <div mdbModal #frame="mdbModal" class="modal fade" id="frameModalTop" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
            aria-hidden="true">
            <div class="modal-dialog cascading-modal" role="document">
              <!--Content-->
              <div class="modal-content">
                <!--Header-->
                <div class="modal-header light-blue darken-3 white-text">
                  <h4 class="title">
                    <mdb-icon fas icon="users"></mdb-icon> Spreed the word!</h4>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close" (click)="frame.hide()">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <!--Body-->
                <div class="modal-body mb-0 text-center">
                  <!--Facebook-->
                  <a type="button" mdbBtn floating="true" color="fb" class="waves-light" mdbWavesEffect>
                    <mdb-icon fab icon="facebook-f"></mdb-icon>
                  </a>
                  <!--Twitter-->
                  <a type="button" mdbBtn floating="true" color="tw" class="waves-light" mdbWavesEffect>
                    <mdb-icon fab icon="twitter"></mdb-icon>
                  </a>
                  <!--Google +-->
                  <a type="button" mdbBtn floating="true" color="gplus" class="waves-light" mdbWavesEffect>
                    <mdb-icon fab icon="google-plus"></mdb-icon>
                  </a>
                  <!--Linkedin-->
                  <a type="button" mdbBtn floating="true" color="li" class="waves-light" mdbWavesEffect>
                    <mdb-icon fab icon="linkedin-in"></mdb-icon>
                  </a>
                  <!--Instagram-->
                  <a type="button" mdbBtn floating="true" color="ins" class="waves-light" mdbWavesEffect>
                    <mdb-icon fab icon="instagram"></mdb-icon>
                  </a>
                  <!--Pinterest-->
                  <a type="button" mdbBtn floating="true" color="pin" class="waves-light" mdbWavesEffect>
                    <mdb-icon fab icon="pinterest"></mdb-icon>
                  </a>
                  <!--Youtube-->
                  <a type="button" mdbBtn floating="true" color="yt" class="waves-light" mdbWavesEffect>
                    <mdb-icon fab icon="youtube"></mdb-icon>
                  </a>
                  <!--Dribbble-->
                  <a type="button" mdbBtn floating="true" color="dribbble" class="waves-light" mdbWavesEffect>
                    <mdb-icon fab icon="dribbble"></mdb-icon>
                  </a>
                  <!--Vkontakte-->
                  <a type="button" mdbBtn floating="true" color="vk" class="waves-light" mdbWavesEffect>
                    <mdb-icon fab icon="vk"></mdb-icon>
                  </a>
                  <!--Stack Overflow-->
                  <a type="button" mdbBtn floating="true" color="so" class="waves-light" mdbWavesEffect>
                    <mdb-icon fab icon="stack-overflow"></mdb-icon>
                  </a>
                  <!--Slack-->
                  <a type="button" mdbBtn floating="true" color="slack" class="waves-light" mdbWavesEffect>
                    <mdb-icon fab icon="slack"></mdb-icon>
                  </a>
                  <!--Github-->
                  <a type="button" mdbBtn floating="true" color="git" class="waves-light" mdbWavesEffect>
                    <mdb-icon fab icon="github"></mdb-icon>
                  </a>
                  <!--Comments-->
                  <a type="button" mdbBtn floating="true" color="comm" class="waves-light" mdbWavesEffect>
                    <mdb-icon fas icon="comments"></mdb-icon>
                  </a>
                  <!--Email-->
                  <a type="button" mdbBtn floating="true" color="email" class="waves-light" mdbWavesEffect>
                    <mdb-icon fas icon="envelope"></mdb-icon>
                  </a>
                </div>
              </div>
              <!--/.Content-->
            </div>
          </div>
        
        
    

Angular Modals - API

In this section you will find informations about required modules and available inputs, outputs, methods and events of modals component.


Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

        
            
          import { ModalModule, TooltipModule, PopoverModule, ButtonsModule } from 'ng-uikit-pro-standard';
        
        
    
        
            
          import { ModalModule, TooltipModule, PopoverModule, ButtonsModule } from 'angular-bootstrap-md';
      
        
    

Directive

mdbModal

Selector: mdbModal

Type: ModalDirective


Inputs

Inputs

Name Type Default Description Example
[config] ModalOptions { } allows to set modal configuration via element property [config]="{backdrop: false}"

ModalOptions

Name Type Default Description Example
[config] ModalOptions { } allows to set modal configuration via element property [config]="{backdrop: false}"
backdrop boolean | "static" true Includes a modal-backdrop element. Alternatively, specify static for a backdrop which doesn't close the modal on click. [config]="{backdrop: false}"
ignoreBackdropClick boolean false Ignore the backdrop click. [config]="{ignoreBackdropClick: true}"
keyboard boolean true Closes the modal when the escape key is pressed. [config]="{keyboard: false}"
show boolean false Shows the modal when initialized. [config]="{show: true}"
class string ' ' Css class for opened modal. [config]="{class: 'custom-class'}"

Outputs

Name Type Description Example
closed EventEmitter<ModalDirective> Event is fired when the modal has finished being hidden from the user. (closed)="onClosed($event)"
close EventEmitter<ModalDirective> Event is fired instantly when the hide instance method has been called. (close)="onClose($event)"
open EventEmitter<ModalDirective> Event fires instantly when the show instance method is called. (open)="onOpen($event)"
opened EventEmitter<ModalDirective> Event is fired when the modal has been made visible to the user. (opened)="onOpened($event)"

Methods

In below table you can find every method which is available in ModalDirective.

Name Description
(event)="name.show()" Allows to manually open modal.
(event)="name.hide()" Allows to manually close modal.
(event)="name.toggle(value: boolean)()" Allows to manually toggle modal visibility.
(event)="name.focusOtherModal()" Events tricks.